#include <bits/stdc++.h>

using namespace std;
long long a[2000050], b[2000050];
int main()
{
    long long n, k, x, s=0, j=0;
    cin >> n >> k;
    for (int i=0;i<n;i++){
        cin >> x;
        a[x+n]++;
        if (a[x+n]==k) {s++;b[j]=x;j++;}
    }
    cout << s << '\n';
    for (int i=0;i<j;i++)
        cout << b[i] << ' ';
    return 0;
}